Subject: Re: [PATCH] General CHRP/MPC5K2 Platform and drivers support - to comment

From: Sven Luther <[email-masked]>
Date: Fri, 20 Oct 2006 08:29:29 +0200

On Fri, Oct 20, 2006 at 01:06:14AM -0500, Kumar Gala wrote:
> 
> On Oct 19, 2006, at 7:39 AM, Nicolas DET wrote:
> 
> >This 'big' patch adds support for CHRP/MPC52xx based platform.  
> >Here, this is the bPlan's Efika computer (http://www.bplan-gmbh.de/ 
> >efika_spec_en.html)
> >
> >We know this patch is not totaly compliant with Documentation/ 
> >CodingStyle/.
> >
> >We would like people to comment and review it. This way we would  
> >provide a new patch with the changes required (if any) for an  
> >upcomming merge in the kernel.
> >
> >This patch has been applied on the kernel 2.6.18.1.
> >
> >Signed-off-by: Nicolas DET <[email-masked]>
> >Signed-off-by: Sven Luther <[email-masked]>
> 
> I think it would be extremely useful to get a dump of what the device- 
> tree looks like.  We have to be very careful to device nodes for 52xx  
> components are competed consistent between this 'CHRP' style and a  
> more embedded 52xx boards.

Well, the efika is a CHRP board, and thus more akin to the pegasos or IBM
boxes than the embedded 52xx boards with regard to the device trees. Nico will
provide you an lsprop output.

> Some high level comments:
> 2. PIC code needs to be updated for new interrupt model (as well as  
> remove of pt_regs)

Notice that the efika does not have the interrupt tree bindings in the
firmware. I implemented those on pegasos last month, but linux refused to
boot, and i am currently waiting for comments from benh on the lsprop output.

Friendly,

Sven Luther